#include <pthread.h>
#include <stdio.h>
#include <unistd.h>

struct mypar 
{
  int i; 
  char ch;
};


static void* MyThreadFunc(void* arg)
{
  struct mypar *aaa;

  aaa = (struct mypar *) arg;
     
  printf("Hello World from inside a thread!\n"); 
     
  printf("arg1 = %d, arg2 = %c\n", aaa->i, aaa->ch);
  
  return NULL; 
} 


int main() 
{

  pthread_t aThread;
  struct mypar aaa = {100,'a'};

  aaa.i = 100;
  aaa.ch = 'a';
  
  pthread_create(&aThread, NULL, MyThreadFunc, &aaa); 

  sleep(3);
  
  printf("Main: waiting for child thread to complete\n");

  pthread_join(aThread, NULL); 

  printf("Exiting main\n");

  
  return 0;
}




