#include <pthread.h>
#include <unistd.h>
#include <stdio.h>

#define STEPS 10

void *produce(void *arg)
{
  int i;
  for(i=0;i<STEPS;i++)
  {
    printf("I produce\n");
    sleep(1);
  }

  return NULL;
}


void *consume(void *arg)
{
  int i;
  for(i=0;i<STEPS;i++)
  {
    printf("I consume\n");
    sleep(1);
  }

  return NULL;
}



int main()
{

  pthread_t thread1, thread2;
  int i;

  if ((i=pthread_create(&thread1, NULL, produce, (void*)NULL)) != 0) 
    fprintf(stderr,"Thread creation failed. %d\n", i);

  if ((i=pthread_create(&thread1, NULL, consume, (void*)NULL)) != 0) 
    fprintf(stderr,"Thread creation failed. %d\n", i);

  pthread_join(thread1, NULL);
  pthread_join(thread2, NULL);

  printf("Exiting main\n");

  return 0;
}


